# fn() atomicMax
Lock-free implemenattion of `x = max(x, y)`.

Defined in | <seqan/parallel.h>
Signature | `void atomicMax(x, y);`

## Parameters

`x` | Integer to set to `max(x, y)`.
`y` | Other integer.

## Detailed Description

This is equivalent to

    atomic {
        x = max(x, y);
    }

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn atomicMax
     *
     * @headerfile <seqan/parallel.h>
     *
     * @brief Lock-free implemenattion of <tt>x = max(x, y)</tt>.
     *
     * @signature void atomicMax(x, y);
     *
     * @param[in,out] x Integer to set to <tt>max(x, y)</tt>.
     * @param[in] y Other integer.
     *
     * This is equivalent to
     *
     * @code{.cpp}
     * atomic {
     *     x = max(x, y);
     * }
     * @endcode
     */